org.eclipse.net4j.util.collection

## Class ArrayIterator<T>

- java.lang.Object
- - org.eclipse.net4j.util.collection.ArrayIterator<T>

- All Implemented Interfaces:
    java.util.Iterator<T>

      public class ArrayIterator<T>
      extends java.lang.Object
      implements java.util.Iterator<T>

  An object that iterates over the elements of an array
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayIterator(T[] elements)`
    `ArrayIterator(T[] elements, int firstElement)`
    `ArrayIterator(T[] elements, int firstElement, int lastElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()` Unsupported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ArrayIterator

          public ArrayIterator(T[] elements)

    - #### ArrayIterator

          public ArrayIterator(T[] elements,
                               int firstElement)

    - #### ArrayIterator

          public ArrayIterator(T[] elements,
                               int firstElement,
                               int lastElement)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<T>`

    - #### next

          public T next()
                 throws java.util.NoSuchElementException

      Specified by:
        `next` in interface `java.util.Iterator<T>`
      Throws:
        `java.util.NoSuchElementException`

    - #### remove

          public void remove()

      Unsupported.
      Specified by:
        `remove` in interface `java.util.Iterator<T>`
      Throws:
        `java.lang.UnsupportedOperationException` - always

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html